package com.compdfkit.tools.common.pdf.config;

import java.io.Serializable;


public class GlobalConfig  implements Serializable {

    public enum CThemeMode{
        Light,

        Dark,

        System;


        public static CThemeMode fromString(String str) {
            try {
                String firstLetter = str.substring(0, 1).toUpperCase();
                String result = firstLetter + str.substring(1);
                return CThemeMode.valueOf(result);
            } catch (Exception e) {
                return null;
            }
        }
    }

    public CThemeMode themeMode  = CThemeMode.Light;

}
